# 지식
## 1. 코드 비하인드 패턴
- .razor 파일과 .cs 파일을 분리해서 사용하는 방식
- A.razor <br>
  ├ A.razor.cs <br>
  ⎿ A.razor.css
### 역할
1. .razor 파일 : 주로 UI 마크업을 포함
2. .cs 파일 : 관련 로직을 포함 - @code 블록을 대신해 서로 연결 됨

## 2. EditForm
- Blazor 제공하는 Form Compornents.
- 데이터 바인딩, 유효성 검사, 폼 제출 처리에 사용
- 사용자 입력 수집하고, 입력 데이터 검증 후 서버나 클라이언트 제출하는 기능 제공
### 1. InputText
- @bind-Value 로 변수와 엮어주기
<br>
<선택사항>
- @oninput 은 입력시 수행할 이벤트 엮어주기
- @onblur 는 포커스 해제시 수행할 이벤트 엮어주기

## 3. Attribute
- 변수나 클래스, 메서드 위에 [ ]를 사용해 속성을 추가
- 코드에서 어떤 동작이나 정보를 제공하거나, 특정 조건에 따라 처리되는 방식을 지정할 수 있다.
- 이미 존재하는(Required, Range, Obsolte, 등) 속성들도 있지만, 사용자가 직접 정의해서 사용할 수 있다.
- 2의 EditForm과 엮으면 좋음